> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Staff Dashboard

> Retrieve workspace staff dashboard.



## OpenAPI

````yaml get /staff/dashboard/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/dashboard/{workspaceId}:
    get:
      tags:
        - Staff
      description: Retrieve workspace staff dashboard.
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_staff:
                    type: number
                  average_minutes:
                    type: number
                  top_six:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        position:
                          type: number
                        username:
                          type: string
                        total:
                          type: number
                      required:
                        - _id
                        - total
                        - position
                        - username
                  currently_playing:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        username:
                          type: string
                      required:
                        - _id
                        - username
                  assignment_progress:
                    type: object
                    properties:
                      total_with_assignments:
                        type: number
                      total_with_all_assignments_completed:
                        type: number
                    required:
                      - total_with_assignments
                      - total_with_all_assignments_completed
                required:
                  - total_staff
                  - average_minutes
                  - top_six
                  - currently_playing
                  - assignment_progress
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````